ApplicationHandler Class Reference
Generic RTP input queues.

Application objects modification methods. More...

`#include <iqueue.h>`

Inheritance diagram for ApplicationHandler:
[legend]

## Public Member Functions

void | addParticipant (RTPApplication &app, Participant &part)
void | removeParticipant (RTPApplication &app, RTPApplication::ParticipantLink *pl)

## Protected Member Functions

| ApplicationHandler ()
virtual | ~ApplicationHandler ()

## Detailed Description

Application objects modification methods.

Author
  Federico Montesino Pouzols fedem.nosp@m.p@al.nosp@m.tern..nosp@m.org

## Constructor & Destructor Documentation

ApplicationHandler::ApplicationHandler | ( |  | ) |

inline protected

virtual ApplicationHandler::~ApplicationHandler | ( |  | ) |

inline protected virtual

## Member Function Documentation

void ApplicationHandler::addParticipant | ( | RTPApplication & | app,
|  | Participant & | part
| ) |  |

inline

void ApplicationHandler::removeParticipant | ( | RTPApplication & | app,
|  | RTPApplication::ParticipantLink * | pl
| ) |  |

inline

The documentation for this class was generated from the following file:

- iqueue.h